{% load wagtailimages_tags %}

<div class="{% block wrapper_classes %}bg-black text-white{% endblock %}">
  <div class="container--medium __js-root">

    <!-- NOTE: This will change once europarl section exists. py-16 xl:py-24 -->
    <div
      class="
        xl:block hidden

        pt-0 pb-16 xl:pt-6 xl:pb-24
      "
    >
      <h2>
        <span class="head-14xl leading-[10.5rem]">{{ self.title_line_1 }}</span><br>
        <div class="flex gap-12">
          <span class="head-14xl leading-[10.5rem]">{{ self.title_line_2 }}</span>

          <p class="max-w-[650px] font-condensed text-lg pt-1.5">
            {{ self.description }}
          </p>
        </div>
      </h2>
    </div>

    <div class="xl:hidden block pt-24 pb-12">
      <h2 class="head-14xl">
        {{ self.title_line_1 }}
        {{ self.title_line_2 }}
      </h2>

      <p>
        {{ self.description }}
      </p>
    </div>

    <ui-horizontal-scrollable
      classes="
        flex gap-8 overflow-x-scroll mt-4 mb-8
        lg:mt-0 lg:grid lg:grid-cols-2
        xl:grid-cols-4
      "
    >
      {% for box in self.list %}
        {% image box.image fill-480x480 as box_image %}

        {% include 'styleguide2/includes/molecules/boxes/image_with_button_box.html' with image=box_image button_text=box.button_text url=box.button_link title=box.title %}
      {% endfor %}
    </ui-horizontal-scrollable>

    <div
      class="
        flex justify-center py-12
        xl:py-24
      "
    >
      {% include 'styleguide2/includes/atoms/buttons/round_button.html' with url=page.root_page.people_page.url classes='inline-block bg-white text-black' text="Další lidé" show_arrow_on_hover=True %}
    </div>
  </div>
</div>
